Bug 851298 - JBPM-3626 Do not depend on hard coded variable name "processInstance"
JBPM-3626 Do not depend on hard coded variable name "processInstance"
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 13:44 EDT by Maciej Swiderski
Modified: 2018-01-30 23:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, for intermediate conditional events to be able to a specific process instance's variables rules, the name of the variable had to be 'processInstance'. This prevented users from using any name for variables in conditional event rules. This issue has been resolved by checking the object type instead of relying on the hardcoded variable name. It is now possible to use any name for variables in conditional event rules.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3626 Minor Resolved Do not depend on hard coded variable name "processInstance" 2015-05-26 10:52:29 EDT

  None (edit)
Description Maciej Swiderski 2012-08-23 13:44:00 EDT
Description of problem:
backport of https://issues.jboss.org/browse/JBPM-3626

  
Actual results:
to be able to use conditional event to reason over only variables of a selected process instance name of the variable must be exactly 'processInstance'

Expected results:
any variable name should work as long as it is of WorkflowProcessInstance type

Additional info:
Comment 1 Maciej Swiderski 2012-08-23 14:29:42 EDT
backported into 5.2.x branch
Comment 2 Jiri Svitak 2012-09-19 10:52:20 EDT
Verified in BRMS 5.3.1 ER1.
Comment 3 lcarlon 2012-10-22 01:40:46 EDT
doc text has been edited for inclusion in the release notes. Thanks for providing the text, Maciej.

- Lee

Note You need to log in before you can comment on or make changes to this bug.